<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
            <!-- Import Datatable sau jquery -->
        <!-- Import them style bootstrap cho datatable -->
        <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
        <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
        
        <title>Task43.80</title>
    </head>
    <style>
      .orange{
        background-color: orange;
      }
    </style>
    <body>
        <div class="container-fluid form-group">  
            <div class="row">  
                <div class="col-sm-12">
                  <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                      <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                      <ul class="navbar-nav nav-fill w-100">
                        <li class="nav-item active">
                          <a class="nav-link" href="#">Trang chủ</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#combo">Combo</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#pizza-type">Loại pizza</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#gui-don-hang">Gửi đơn hàng</a>
                        </li>
                      </ul>
                    </div>
                  </nav>
                </div>
              </div>
        </div>
        <div class="container" style="padding: 120px 0 50px 0;">
          <div class="row form-group">
            <div class="col-12">
              <h1 class="text-warning"><b>PIZZA 365</b></h1>
              <p class="text-warning"><i>Truly italian !</i></p>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                  <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                  <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                  <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                  <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                </ol>
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img class="d-block w-100" src="images/1.jpg" alt="First slide">
                  </div>
                  <div class="carousel-item">
                    <img class="d-block w-100" src="images/2.jpg" alt="Second slide">
                  </div>
                  <div class="carousel-item">
                    <img class="d-block w-100" src="images/3.jpg" alt="Third slide">
                  </div>
                  <div class="carousel-item">
                    <img class="d-block w-100" src="images/4.jpg" alt="Third slide">
                  </div>
                </div>
                <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                  <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"></span>
                  <span class="sr-only">Next</span>
                </a>
              </div>
            </div>
          </div>
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-warning">Tại sao lại pizza 365</b></h2>
          </div>

          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 border" style="background-color:lightgoldenrodyellow ;">
                <h3 class="p-2">Đa dạng</h3>
                <p class="p-2">Số lượng pizza da dạng, có đầy đủ các loại pizza dang hot nhắt hiện nay.</p>
              </div>
              <div class="col-sm-3 p-4 border" style="background-color:yellow ;">
                <h3 class="p-2">Chất lượng</h3>
                <p class="p-2">Nguyên liệu sạch 100% rõ nguồn gốc, quy định chế biến đảm bảo vệ sinh an toàn thực phẩm.</p>
              </div>
              <div class="col-sm-3 p-4  border" style="background-color:lightsalmon ;">
                <h3 class="p-2">Hương vị</h3>
                <p class="p-2">Đảm bảo hương vị ngon,độc,là mà bạn chỉ có thể trải nghiệm tù Pizza 365.</p>
              </div>
              <div class="col-sm-3 p-4 border orange" >
                <h3 class="p-2">Dịch vụ</h3>
                <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chất lượng, tăn tiến.</p>
              </div>
            </div>
          </div>
          <div id="combo" class="row">
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-1 border-bottom text-warning">Chọn size pizza</b></h2>
              <p><span class="p-2 text-warning">Chọn combo pizza phù hợp với nhu cầu của bạn.</span></p>
            </div>
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header text-center orange">
                      <h3>S (small)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính: <b>20cm</b></li>
                        <li class="list-group-item">Sườn nướng: <b>2</b></li>
                        <li class="list-group-item">Salad:<b>200g</b></li>
                        <li class="list-group-item">Nước ngọt: <b>2</b></li>
                        <li class="list-group-item"><h1><b>150.000</b></h1>VND</li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button id="btn-small-combo" class= "btn w-100 orange" >Chọn</button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header bg-warning text-center">
                      <h3>M (medium)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kính: <b>25cm</b></li>
                        <li class="list-group-item">Sườn nướng: <b>4</b></li>
                        <li class="list-group-item">Salad: <b>300g</b></li>
                        <li class="list-group-item">Nước ngọt: <b>3</b></li>
                        <li class="list-group-item"><h1><b>200.000</b></h1>VND</li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button id="btn-medium-combo" class="btn btn-warning w-100">Chọn</button>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card">
                    <div class="card-header text-center orange">
                      <h3>L (large)</h3>
                    </div>
                    <div class="card-body text-center">
                      <ul class="list-group list-group-flush">
                        <li class="list-group-item">Đường kinh: <b>30cm</b></li>
                        <li class="list-group-item">Sườn nướng: <b>8</b></li>
                        <li class="list-group-item">Salad: <b>500g</b></li>
                        <li class="list-group-item">Nước ngọt: <b>4</b></li>
                        <li class="list-group-item"><h1><b>250.000</b></h1>VND</li>
                      </ul>
                    </div>
                    <div class="card-footer text-center">
                      <button id="btn-large-combo" class="btn orange w-100">Chọn</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div id="pizza-type" class="row">
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom text-warning">Chọn loại pizza</b></h2>
            </div>
    
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem;">
                    <img src="images/seafood.jpg" class="card-img-top">
                    <div class="card-body">
                      <h3>OCEAN MANIA</h3>
                      <p>PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                      <p>Xốt Cà Chua,Phô Mai Mozzarella, Tôm, Mực, Thanh Cua, Hành Tây.</p>
                      <p><button id="btn-ocean-mania-pizza" class="btn w-100 orange">Chọn</button></p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem;">
                    <img src="images/hawaiian.jpg" class="card-img-top">
                    <div class="card-body">
                      <h3>HAWAIIAN</h3>
                      <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                      <p>Xốt Cà Chua,Phô Mai Mozzarella, Thịt Dăm Bông, Thơm.</p>
                      <p><button id="btn-hawaiian-pizza" class="btn w-100 orange">Chọn</button></p>
                    </div>
                  </div>
                </div>
                <div class="col-sm-4">
                  <div class="card w-100" style="width: 18rem;">
                    <img src="images/bacon.jpg" class="card-img-top">
                    <div class="card-body">
                      <h3>CHEESY CHICKEN BACON</h3>
                      <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                      <p>Xốt phô mai, Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua.</p>
                      <p><button id="btn-cheesy-chicken-bacon-pizza" class="btn orange w-100">Chọn</button></p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-12 text-center p-4 mt-4 form-group">
              <h2><b class="p-2 border-bottom text-warning">Chọn đồ uống</b></h2>
            </div>
            <div class="col-sm-12 form-group">
              <select class="form-control" name="drinklist" id="select-drinks-list">
                <option value="all">Tất cả các loại nước uống</option>
              </select>
            </div>
          </div>
          <div id="gui-don-hang" class="row">
            <div class="col-sm-12 text-center p-4 mt-4 form-group">
              <h2><b class="p-2 border-bottom text-warning">Gửi đơn hàng</b></h2>
            </div>
            <div class="col-sm-12 form-group">
              <label for="">Tên</label>
              <input class="form-control" type="text" placeholder="Nhập tên" name="name" id="inp-name">
            </div>
            <div class="col-sm-12 form-group">
              <label for="">Email</label>
              <input class="form-control" type="text" placeholder="Nhập email" name="email" id="inp-email">
            </div>
            <div class="col-sm-12 form-group">
              <label for="">Số điện thoại</label>
              <input class="form-control" type="text" placeholder="Nhập số điện thoại" name="phone-number" id="inp-phone-number">
            </div>
            <div class="col-sm-12 form-group">
              <label for="">Địa chỉ</label>
              <input class="form-control" type="text" placeholder="Địa chỉ" name="address" id="inp-address">
            </div>
            <div class="col-sm-12 form-group">
              <label for="">Mã giảm giá</label>
              <input class="form-control" type="text" placeholder="Nhập mã giảm giá" name="id-voucher" id="inp-id-voucher">
            </div>
            <div class="col-sm-12 form-group">
              <label for="">Lời nhắn</label>
              <input class="form-control" type="text" placeholder="Nhập lời nhắn" name="subject" id="inp-subject">
            </div>
            <div class="col-sm-12 form-group">
              <button id="btn-send-order" class="btn form-control w-100 orange"><b> Gửi</b></button>
            </div>
          </div>
        </div>
        <div class="container-fluid bg-light">
        <div class="row text-center orange p-5">
          <div class="col-sm-12">
            <h4 class="m-2">Footer</h4>
            <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
            <div class="m-2">
              <i class="fab fa-facebook-square fa-2x"></i>
              <i class="fab fa-instagram fa-2x"></i>
              <i class="fab fa-snapchat fa-2x"></i>
              <i class="fab fa-pinterest-p fa-2x"></i>
              <i class="fab fa-twitter fa-2x"></i>
              <i class="fab fa-linkedin-in fa-2x"></i>
            </div>
            <div class="m-2">
              <h4 class="m-2">powered by DEVCAMP</h4>
            </div>
          </div>
        </div>
      </div>
      <div class="modal fade" id="modal-gui-don" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" >Thông tin đơn hàng</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form>
                <div class="form-group">
                  <label for="modal-inp-name" class="col-form-label">Tên</label>
                  <input type="text" class="form-control" disabled id="modal-inp-name">
                </div>
                <div class="form-group">
                  <label for="modal-inp-phone-number" class="col-form-label">Số điện thoại</label>
                  <input type="text" class="form-control" disabled id="modal-inp-phone-number">
                </div>
                <div class="form-group">
                  <label for="modal-inp-address" class="col-form-label">Địa chỉ</label>
                  <input type="text" class="form-control" disabled id="modal-inp-address">
                </div>
                <div class="form-group">
                  <label for="modal-inp-subject" class="col-form-label">Lời nhắn</label>
                  <input type="text" class="form-control" disabled id="modal-inp-subject">
                </div>
                <div class="form-group">
                  <label for="modal-textarea-detail" class="col-form-label">Thông tin chi tiết</label>
                  <textarea class="form-control" id="modal-textarea-detail" disabled  rows="3"></textarea>
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-danger" data-dismiss="modal">Quay lại</button>
              <button type="button" id="modal-btn-create-order" data-dismiss="modal" class="btn orange">Tạo đơn</button>
            </div>
          </div>
        </div>
      </div>
      <div class="modal fade bd-example-modal-lg" id="modal-orderid" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-body bg-warning">
              <form>
                <div>
                  <h3>Càm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</h3>
                  <div class="row form-group">
                    <div class="col-3">
                      <label>Mã đơn hàng:</label>
                    </div>
                    <div class="col-9">
                      <input id="modal-inp-orderid" class="form-control" disabled type="text">
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </body>
    <script>
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      const gDRINK_URL = "http://42.115.221.44:8080/devcamp-pizza365/drinks";
      const gVOUCHER_URL = "http://42.115.221.44:8080/devcamp-voucher-api/voucher_detail/";
      const gORDERS_URL = "http://42.115.221.44:8080/devcamp-pizza365/orders";
      var gComboPizza = {
          menuName: "...",    // S, M, L
          duongKinhCM: 0,
          suongNuong: 0,
          saladGr: 0,
          drink: 0,
          priceVND: 0,
          displayInConsoleLog() {
            console.log("COMBO SELECTED")
            console.log(this.menuName);
            console.log("Đường kính: " + this.duongKinhCM);
            console.log("Sườn nướng: " + this.suongNuong);
            console.log("Salad: " + this.saladGr);
            console.log("Dồ uống :" + this.drink);
            console.log("Giá tiền: " + this.priceVND);
          }
      }
      var gSelectedPizzaType ="";

      var gDiscount = 0;

      var gSelectDrink = "";

      var gUserOrderInfo = {
      menuDuocChon: "",
      loaiPizza: "",
      loaiNuocUong: "",
      hoTen: "",
      email: "",
      soDienThoai: "",
      diaChi: "",
      loiNhan: "",
      idVourcher: "",
      priceActualVND: function () {
        return this.menuDuocChon.priceVND - (this.menuDuocChon.priceVND * gDiscount / 100);

      }
    }
    
      /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
      //Jquery thực hiện chức năng khi load trang
      $(document).ready(function(){
        "use strict"
        //Lấy thông tin nước uống
        callAjaxGetDrinkLIst();
      })
      //Jquey tạo event handler cho button small combo
      $("#btn-small-combo").on("click",onBtnSmallComBoClick)
      //Jquey tạo event handler cho button medium combo
      $("#btn-medium-combo").on("click",onBtnMediumComBoClick)
      //Jquey tạo event handler cho button large combo
      $("#btn-large-combo").on("click",onBtnLargeComBoClick)
      //Jquey tạo event handler cho button OceanMania pizza
      $("#btn-ocean-mania-pizza").on("click",onBtnOceanManiaPizzaClick)
      //Jquey tạo event handler cho button Hawaiian pizza
      $("#btn-hawaiian-pizza").on("click",onBtnHawaiianPizzaClick)
      //Jquey tạo event handler cho button CheesyChickenBacon pizza
      $("#btn-cheesy-chicken-bacon-pizza").on("click",onBtnCheesyChickenBaconPizzaClick)
      //Jquey tạo event handler change cho select danh sách đồ uống
      $("#select-drinks-list").on("change",onChangeSelectDrinkList)
      //Jquey tạo event handler cho button gửi order
      $("#btn-send-order").on("click",onBtnSendOrderClick)
      //Jquey tạo event handler cho button tạo đơn
      $("#modal-btn-create-order").on("click",onModalBtnCreateOrderClick)
      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      //Hàm xữ lý khi ấn nút gửi đơn hàng
      function onBtnSendOrderClick(){
        "use strict";
        //B1:Thu thập thông tin
        getValueFormInput();
        //console.log(gUserOrderInfo);
        var vCheck = validateData(gUserOrderInfo);
        var vEmailCheck = validateEmail(gUserOrderInfo.email);
        //console.log(gUserOrderInfo)
        if(vCheck == true && vEmailCheck == true){
          //Hiển thị thông tin order trên modal
          callAjaxGetVoucherDiscount(gUserOrderInfo.idVourcher);
          putValueOrderToModal();
          $("#modal-gui-don").modal("show");
        }
      }
      //Hàm xữ lý khi ấn nút tạo đơn hàng
      function onModalBtnCreateOrderClick(){
        "use strict";
        //B1:Tạo hướng dối tượng vào thu thập dữ liệu
        var vOrderDetail = {
            kichCo: "",
            duongKinh: "",
            suon: "",
            salad: "",
            loaiPizza: "",
            idVourcher: "",
            idLoaiNuocUong: "",
            soLuongNuoc: "",
            hoTen: "",
            thanhTien: "",
            email: "",
            soDienThoai: "",
            diaChi: " ",
            loiNhan: ""
        }
        getValueFormObject(vOrderDetail);
        //console.log(vOrderDetail);
        //B2:Kiểm tra dữ liệu(bỏ qua)

        //B3:gọi ajax gủi order lên api
        callAjaxCreateOrder(vOrderDetail);
      }
      //Hàm xữ lý khi thay đổi select đồ uống
      function onChangeSelectDrinkList(){
        "use strict"
      gSelectDrink = $(this).val();
      gUserOrderInfo.loaiNuocUong = $(this).val();
      console.log("Đồ uống bạn vừa chọn là: " + gSelectDrink);
      }
      //Hàm xữ lý khi ấn nút small combo
      function onBtnSmallComBoClick(){
        //$("#modal-gui-don").modal("show")
          "use strict";
          //Thay đổi màu khi ắn nút của combo
          changeBtnComboColor("S");
          //Tạo object và thêm vào gComboPizza dựa vào tên Combo
          getValueByComboName("S");
          gUserOrderInfo.menuDuocChon = gComboPizza;
      }
      //Hàm xữ lý khi ấn nút medium combo
      function onBtnMediumComBoClick(){
          "use strict";
          //Thay đổi màu khi ắn nút của combo
          changeBtnComboColor("M");
          //Tạo object và thêm vào gComboPizza dựa vào tên Combo
          getValueByComboName("M");
          gUserOrderInfo.menuDuocChon = gComboPizza;
      }
      //Hàm xữ lý khi ấn nút large combo
      function onBtnLargeComBoClick(){
          "use strict";
          //Thay đổi màu khi ắn nút của combo
          changeBtnComboColor("L");
          //Tạo object và thêm vào gComboPizza dựa vào tên Combo
          getValueByComboName("L");
          gUserOrderInfo.menuDuocChon = gComboPizza;
      }
      //Hàm xữ lý khi ấn nút chọn pizza OceanMania
      function onBtnOceanManiaPizzaClick(){
        "use strict";
        //Thay đổi màu khi chọn loại pizza
        changeBtnPizzaColor("OceanMania");
        //lấy thông tin pizza được chọn
        getValuePizzaSelect("OceanMania");
        gUserOrderInfo.loaiPizza = gSelectedPizzaType;
      }
      //Hàm xữ lý khi ấn nút chọn pizza Hawaiian
      function onBtnHawaiianPizzaClick(){
        "use strict";
        //Thay đổi màu khi chọn loại pizza
        changeBtnPizzaColor("Hawaiian");
        //lấy thông tin pizza được chọn
        getValuePizzaSelect("Hawaiian");
        gUserOrderInfo.loaiPizza = gSelectedPizzaType;
      }
      //Hàm xữ lý khi ấn nút chọn pizza CheesyChickenBacon
      function onBtnCheesyChickenBaconPizzaClick(){
        "use strict";
        //Thay đổi màu khi chọn loại pizza
        changeBtnPizzaColor("CheesyChickenBacon");
        //lấy thông tin pizza được chọn
        getValuePizzaSelect("CheesyChickenBacon");
        gUserOrderInfo.loaiPizza = gSelectedPizzaType;
      }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      //Hàm gọi ajax thêm mới dữ liệu order dơn hàng
      function callAjaxCreateOrder(paramData){
        "use strict";
        $.ajax({
          url: gORDERS_URL,
          type:"POST",
          contentType:"application/json",
          data:JSON.stringify(paramData),
          success:function(responseObject){
            $("#modal-inp-orderid").val(responseObject.orderId);
            //console.log(responseObject.orderId);
            $("#modal-orderid").modal("show")
          },
          error:function(ajaxContext){
            alert(ajaxContext.responseText);
          }
        })
      }

      //Hàm lấy dữ liệu từ object toàn cục
      function getValueFormObject(paramData){
        "use strict";
        paramData.kichCo = gUserOrderInfo.menuDuocChon.menuName;
        paramData.duongKinh = gUserOrderInfo.menuDuocChon.duongKinhCM;
        paramData.suon = gUserOrderInfo.menuDuocChon.suongNuong;
        paramData.salad = gUserOrderInfo.menuDuocChon.saladGr;
        paramData.loaiPizza = gUserOrderInfo.loaiPizza;
        paramData.idVourcher = gUserOrderInfo.idVourcher;
        paramData.idLoaiNuocUong = gSelectDrink;
        paramData.soLuongNuoc = gUserOrderInfo.menuDuocChon.drink;
        paramData.hoTen = gUserOrderInfo.hoTen;
        paramData.thanhTien = gUserOrderInfo.priceActualVND();
        paramData.email = gUserOrderInfo.email;
        paramData.soDienThoai = gUserOrderInfo.soDienThoai;
        paramData.diaChi = gUserOrderInfo.diaChi;
        paramData.loiNhan = gUserOrderInfo.loiNhan;
      }
      //Hàm gọi ajax lấy phần trăm giảm giá 
      function callAjaxGetVoucherDiscount(paramVoucherId){
        "use strict";
        $.ajax({
          url: gVOUCHER_URL + paramVoucherId,
          type:"GET",
          async:false,
          dataType:"json",
          success:function(responseObject){
            console.log(responseObject);
            gDiscount = responseObject.phanTramGiamGia;
          }
         
        })
      }
      //Hàm hiển thị thông tin trên modal
      function putValueOrderToModal(){
        "use strict";
        $("#modal-inp-name").val(gUserOrderInfo.hoTen);
        $("#modal-inp-phone-number").val(gUserOrderInfo.soDienThoai);
        $("#modal-inp-address").val(gUserOrderInfo.diaChi);
        $("#modal-inp-subject").val(gUserOrderInfo.loiNhan);
        $("#modal-textarea-detail").val("Xác nhận:"+ gUserOrderInfo.hoTen +", " + gUserOrderInfo.soDienThoai + ", " + gUserOrderInfo.diaChi +"\n"
        + "Menu " + gComboPizza.menuName 
        + ", sườn nướng " + gComboPizza.suongNuong 
        + ", nước " + gComboPizza.drink
        + ", đường kính " + gComboPizza.duongKinhCM + "cm"
        + ", salad" + gComboPizza.saladGr + "gr\n"
        + "Loại pizza: " + gUserOrderInfo.loaiPizza
        + ", Giá " + gComboPizza.priceVND + " vnd"
        + ", Mã giảm giá: " + gUserOrderInfo.idVourcher
        + "\n Phải thanh toán: " + gUserOrderInfo.priceActualVND() + " vnd"
        + "(giảm giá " + gDiscount + "%)"
        );
      }
      //Hàm kiểm tra thông tin email
      function validateEmail(paramEmail){
        "use strict";
        var vResult = true;
        var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        if (!paramEmail.match(vValidRegex)) {
        alert("Email không đúng!");
        vResult = false;
        }
        return vResult;
	    }

      
      //Hàm kiểm tra thông tin input
      function validateData(){
        "use strict";
        var vResult = true;
        var vCombo = gUserOrderInfo.menuDuocChon;
        var vPizzaType = gUserOrderInfo.loaiPizza;
        var vLoaiNuocUong = gUserOrderInfo.loaiNuocUong;
        var vName =  gUserOrderInfo.hoTen.trim();
        var vPhoneNumber = gUserOrderInfo.soDienThoai.trim();
        var vAddress = gUserOrderInfo.diaChi.trim();
        if (vCombo == ""){
          alert("Hãy chọn combo!");
          vResult = false;
        } else if (vPizzaType == ""){
          alert("Hãy chọn loại pizza!");
          vResult = false;
        } else if (vLoaiNuocUong == "all" || vLoaiNuocUong == ""){
          alert("Hãy chọn loại nước uống!");
          vResult = false;
        } else if (vName == ""){
          alert("Tên không được rỗng!");
          vResult = false;
        } else if (!isNaN(vName)){
          alert("Tên phải là chữ!");
          vResult = false;
        } else if (vPhoneNumber == ""){
          alert("Số điện thoại không được rỗng!");
          vResult = false;
        } else if (isNaN(vPhoneNumber)){
          alert("Số điện thoại phải là số!");
          vResult = false;
        } else if (vAddress == ""){
          alert("Địa chỉ không được rỗng!");
          vResult = false;
        }
        return vResult;
      }
      //Hàm thu thập thông tin đơn hàng
      function getValueFormInput(){
        "use strict";
        gUserOrderInfo.loaiPizza = gSelectedPizzaType;
        gUserOrderInfo.hoTen = $("#inp-name").val();
        gUserOrderInfo.email = $("#inp-email").val();
        gUserOrderInfo.soDienThoai = $("#inp-phone-number").val();
        gUserOrderInfo.diaChi = $("#inp-address").val();
        gUserOrderInfo.loiNhan = $("#inp-subject").val();
        gUserOrderInfo.idVourcher = $("#inp-id-voucher").val();
      }
      //Hàm hiển thị dữ liệu lên select đồ uống
      function displayToDrinkSelect(paramData){
        "use strict";
        $.each(paramData,function(key,value){
          //console.log(value)
          $("#select-drinks-list").append($("<option>",{
            value:value.maNuocUong,
            text:value.tenNuocUong
          })
            
          )
        })
      }
      //Hàm gọi ajax lấy thông tin nước uống
      function callAjaxGetDrinkLIst(){
        "use strict";
        $.ajax({
          url:gDRINK_URL,
          type:"GET",
          dataType:"json",
          success:function(responseObject){
            console.log(responseObject);
            displayToDrinkSelect(responseObject)
          },
          error:function(ajaxContext){
            alert(ajaxContext.responseText);
          }
        })
      }
      //Hàm lấy thông tin pizza
      function getValuePizzaSelect(paramPizza){
        "use strict";
        gSelectedPizzaType = paramPizza;
        console.log("Pizza đã chọn là: " + gSelectedPizzaType);
      }
      //Hàm thay đổi màu nút nhắn pizza
      function changeBtnPizzaColor(paramPizza){
        "use strict";
        if(paramPizza == "OceanMania"){
          $("#btn-ocean-mania-pizza").attr("class","btn btn-success w-100");
          $("#btn-hawaiian-pizza").attr("class","btn btn-warning w-100");
          $("#btn-cheesy-chicken-bacon-pizza").attr("class","btn orange w-100");
        } else if(paramPizza == "Hawaiian"){
          $("#btn-ocean-mania-pizza").attr("class","btn orange w-100");
          $("#btn-hawaiian-pizza").attr("class","btn btn-success w-100");
          $("#btn-cheesy-chicken-bacon-pizza").attr("class","btn orange w-100");
        } else if(paramPizza == "CheesyChickenBacon"){
          $("#btn-ocean-mania-pizza").attr("class","btn orange w-100");
          $("#btn-hawaiian-pizza").attr("class","btn btn-warning w-100");
          $("#btn-cheesy-chicken-bacon-pizza").attr("class","btn btn-success w-100");
        }
      }
      //Hàm thay đổi màu nút nhắn combo
      function changeBtnComboColor(paramCombo){
          "use strict";
          if(paramCombo == "S"){
              $("#btn-small-combo").attr("class","btn btn-success w-100");
              $("#btn-medium-combo").attr("class","btn btn-warning w-100");
              $("#btn-large-combo").attr("class","btn orange w-100");
          } else if(paramCombo == "M"){
              $("#btn-small-combo").attr("class","btn orange w-100");
              $("#btn-medium-combo").attr("class","btn btn-success w-100");
              $("#btn-large-combo").attr("class","btn orange w-100");
          } else if(paramCombo == "L"){
              $("#btn-small-combo").attr("class","btn orange w-100");
              $("#btn-medium-combo").attr("class","btn btn-warning w-100");
              $("#btn-large-combo").attr("class","btn btn-success w-100");
          }
      }
      //Hàm lấy value dựa vào combo
      function getValueByComboName(paramCombo){
        "use strict";
        if(paramCombo == "S"){
          gComboPizza.menuName = paramCombo;
          gComboPizza.duongKinhCM ="20";
          gComboPizza.suongNuong = "2";
          gComboPizza.saladGr = "200";
          gComboPizza.drink = "2";
          gComboPizza.priceVND = 150000;
          gComboPizza.displayInConsoleLog();
        } else if(paramCombo == "M"){
          gComboPizza.menuName = paramCombo;
          gComboPizza.duongKinhCM ="25";
          gComboPizza.suongNuong = "4";
          gComboPizza.saladGr = "300";
          gComboPizza.drink = "3";
          gComboPizza.priceVND = 200000;
          gComboPizza.displayInConsoleLog();
        } else if(paramCombo == "L"){
          gComboPizza.menuName = paramCombo;
          gComboPizza.duongKinhCM ="30";
          gComboPizza.suongNuong = "8";
          gComboPizza.saladGr = "500";
          gComboPizza.drink = "4";
          gComboPizza.priceVND = 250000;
          gComboPizza.displayInConsoleLog();
        }
      }
    </script>
</html>